Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           serpentine
Version:        0.9
Release:        1
Summary:        Audio CD Burner

Group:          Multimedia/Audio
License:        GPL
URL:            http://irrepupavel.com/projects/serpentine/
Source0:        %{name}_%{version}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch

BuildRequires:	PyGTK-devel, GConf-devel      
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils, gettext

Requires:	gst-python, gnome-python-nautilus-cd-burner
Requires:	gnome-python-totem, gnome-python-gnomevfs, gnome-python-gconf
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Serpentine is an application for writing CD-Audio discs. 
It aims for simplicity, usability and compatibility and accepts a big range of
audio (and video) formats thanks to the excelent GStreamer framework. It also
tries to integrate well with other application, accepting full Drag N Drop
from applications like Nautilus, Rhythmbox and even Firefox.

%prep
%setup -q
sed -i 's!Terminal=False!Terminal=false!' data/serpentine.desktop.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%dir %{python_sitelib}/serpentine
%{python_sitelib}/serpentine/*.py
%{python_sitelib}/serpentine/*.pyc
%{python_sitelib}/serpentine/plugins/*.py
%{python_sitelib}/serpentine/plugins/*.pyc
%{python_sitelib}/serpentine/*.pyo
%{python_sitelib}/serpentine/plugins/*.pyo
%{_applications}
%{_datadir}/serpentine

%changelog
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.9-1
- Version update, changed package group to Multimedia/Audio
* Wed Apr 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-1
- Initial release
